classification
Title: Unable to install Python 3.4.2 amd64 on Windows 8.1 Update 1
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Zac.Greve, berker.peksag, ezio.melotti, loewis, mrabarnett, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2014-10-15 15:44 by Zac.Greve, last changed 2016-07-29 00:51 by berker.peksag. This issue is now closed.

Messages (7)
msg229465 - (view) Author: Zac Greve (Zac.Greve) Date: 2014-10-15 15:44
I am unable to install Python 3.4.2 amd64 on Windows as the installer exits with an error stating that it cannot run a required program.
msg229466 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-10-15 15:46
Can you copy the exact error that you got?
Have you tried redownloading it, and/or checking with a different version (x86 or Python 3.3)?
Do you have admin privileges on your account?
msg229502 - (view) Author: Zac Greve (Zac.Greve) Date: 2014-10-15 21:39
It turns out that Windows Installer failed to remove the Python 3.4.1 installer entry from the registry when I uninstalled that version previously. Deleting the entry fixed the install.

Basically, Windows borked it.
msg229523 - (view) Author: Matthew Barnett (mrabarnett) * (Python triager) Date: 2014-10-16 12:09
I've just come across the same problem.

I uninstalled Python 3.4.1 amd64. There were other things installed in that version, so some stuff remained.

I then tried to install Python 3.4.2 amd64, but it failed (same problem as Zac).

I ran the Python 3.4.1 amd64 installer to repair it and then the Python 3.4.2 amd64 installer again. It worked.

This is on Windows 8.1 Update 1, 64-bit.
msg229634 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-18 07:42
I had no trouble ungrading 3.4.1 to 3.4.2 with win7 up to date with 'required' updates and most recommendedupdates.
msg229648 - (view) Author: Matthew Barnett (mrabarnett) * (Python triager) Date: 2014-10-18 18:00
@Terry: Just to clarify, I didn't have a problem installing over Python 3.4.1, only with uninstalling Python 3.4.1 (with other stuff installed there) and then installing Python 3.4.2.
msg271593 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-07-29 00:51
This was marked as 'fixed' almost two years ago. I tried to install 3.4.3, uninstall 3.4.3 and install 3.4.4 again in Win 10 and it worked fine for me. I guess this was left open accidentally.
History
Date User Action Args
2016-07-29 00:51:22berker.peksagsetstatus: open -> closed
nosy: + berker.peksag
messages: + msg271593

2014-10-18 18:00:40mrabarnettsetmessages: + msg229648
2014-10-18 13:58:04steve.dowersetnosy: + loewis
2014-10-18 07:42:06terry.reedysetnosy: + terry.reedy
messages: + msg229634
2014-10-16 12:09:28mrabarnettsetnosy: + mrabarnett
messages: + msg229523
2014-10-16 09:33:47berker.peksagsetstage: resolved
2014-10-15 21:39:38Zac.Grevesetresolution: fixed
messages: + msg229502
2014-10-15 15:46:30ezio.melottisetnosy: + ezio.melotti
messages: + msg229466
2014-10-15 15:45:58pitrousetnosy: + tim.golden, zach.ware, steve.dower
2014-10-15 15:44:16Zac.Grevecreate